summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2014-04-10 19:15:01 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-04-10 19:15:01 +0700
commit9ccc2a417b718caa403ac3b07f190b5b9a4f63d7 (patch)
tree7beb11a64569538f9f8d5d5874ff1ab8bf95cfd1 /games
parent2863a225a93910adcca3651b4d9b39f932cd6e37 (diff)
downloadslackbuilds-9ccc2a417b718caa403ac3b07f190b5b9a4f63d7.tar.gz
slackbuilds-9ccc2a417b718caa403ac3b07f190b5b9a4f63d7.tar.xz
games/love-legacy072: Added (2D game development framework).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/love-legacy072/README9
-rw-r--r--games/love-legacy072/love-legacy072.SlackBuild88
-rw-r--r--games/love-legacy072/love-legacy072.info10
-rw-r--r--games/love-legacy072/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/games/love-legacy072/README b/games/love-legacy072/README
new file mode 100644
index 0000000000..74b053c04c
--- /dev/null
+++ b/games/love-legacy072/README
@@ -0,0 +1,9 @@
+LÖVE is a framework for developing 2D games in Lua.
+
+love-legacy072 is an older (0.7.2) version, for games written using the
+0.7 API. It should not be used for developing new code (use the regular
+love package for that instead).
+
+Normally, games written with LÖVE are started with "love gamename.love".
+For games that need 0.7.2, start them with "love-0.7.2 gamename.love"
+instead.
diff --git a/games/love-legacy072/love-legacy072.SlackBuild b/games/love-legacy072/love-legacy072.SlackBuild
new file mode 100644
index 0000000000..7e6de42ce5
--- /dev/null
+++ b/games/love-legacy072/love-legacy072.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for LÖVE (legacy 0.7 version)
+
+# Originally written by Dugan Chen (thedoogster [at] gmail [dot] com)
+
+# Modified for 0.7.2 legacy version by B. Watson (yalhcru@gmail.com)
+
+# If you're packaging up a LÖVE game that needs this version (won't work
+# with 0.8), make sure the shebang line in the .love file says:
+# #!/usr/bin/env love-0.7.2
+# See notpacman.SlackBuild for an example.
+
+PRGNAM=love-legacy072
+VERSION=${VERSION:-0.7.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# There's a dirty joke here somewhere...
+SRCNAM=love
+SRCVER=HEAD
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SRCVER
+tar xvf $CWD/$SRCNAM-$VERSION-linux-src.tar.gz
+cd $SRCNAM-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --program-suffix=-0.7.2 \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a changes.txt license.txt readme.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/love-legacy072/love-legacy072.info b/games/love-legacy072/love-legacy072.info
new file mode 100644
index 0000000000..a203cf966d
--- /dev/null
+++ b/games/love-legacy072/love-legacy072.info
@@ -0,0 +1,10 @@
+PRGNAM="love-legacy072"
+VERSION="0.7.2"
+HOMEPAGE="http://love2d.org"
+DOWNLOAD="https://bitbucket.org/rude/love/downloads/love-0.7.2-linux-src.tar.gz"
+MD5SUM="c3e678606bb9a870c31168e85b269e7e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lua DevIL physfs libmodplug OpenAL"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/love-legacy072/slack-desc b/games/love-legacy072/slack-desc
new file mode 100644
index 0000000000..5f6af1ce16
--- /dev/null
+++ b/games/love-legacy072/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+love-legacy072: love-legacy072 (Lua 2D game development framework, old version)
+love-legacy072:
+love-legacy072: Hi there! LÖVE is an *awesome* framework you can use to make 2D games
+love-legacy072: in Lua. It's free, open source, and works on Windows, Mac OS X and
+love-legacy072: Linux.
+love-legacy072:
+love-legacy072: love-legacy is an older (0.7.2) version, for games written using the
+love-legacy072: 0.7 API.
+love-legacy072:
+love-legacy072:
+love-legacy072: